<template>
    <div class="calendar-manager_wrapper">
        <div class="calendar-manager_title">
            <h3>Планировщик задач</h3>
        </div>
        <div class="calendar-manager_filter">
            <form>
                <div class="form-group row">
                    <label class="col-md-2 col-form-label">Постановщик</label>
                    <div class="col-md-3">
                        <select class="form-control">
                            <option v-for="manager in managers" :key="manager.id">{{ manager.managerName }}</option>
                        </select>
                    </div>

                    <label class="col-md-2 col-form-label">Исполнитель</label>
                    <div class="col-md-3">
                        <select class="form-control">
                            <option v-for="manager in managers" :key="manager.id">{{ manager.managerName }}</option>
                        </select>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-md-2 col-form-label">День дедлайна</label>
                    <div class="col-md-3">
                        <input class="form-control" type="date" />
                    </div>
                    <label class="col-md-2 col-form-label">Ключевые стова (описание)</label>
                    <div class="col-md-3">
                        <input class="form-control" type="text" />
                    </div>
                </div>
                <div class="form-group row">
                    <div class="col-md-10">
                        <button class="btn btn-primary">Сформировать</button>
                        <button class="btn btn-info">Очистить</button>
                    </div>
                </div>
            </form>
        </div>
        <div class="calendar-manager_render row">
            <div class="col-md-2 selected-day_wrapper">
                <p class="selected-day_week-day">Среда</p>
                <p class="selected-day_month-day">8</p>
                <p class="selected-day_month">Ноябрь</p> 
            </div>
            <div class="col-md-10">
                <div class="calendar">
                    <div class="calendar-header">
                        <div class="wd-name" v-bind:style="{width: 100/7 + '%'}">Понедельник</div>
                        <div class="wd-name" v-bind:style="{width: 100/7 + '%'}">Вторник</div>
                        <div class="wd-name" v-bind:style="{width: 100/7 + '%'}">Среда</div>
                        <div class="wd-name" v-bind:style="{width: 100/7 + '%'}">Четверг</div>
                        <div class="wd-name" v-bind:style="{width: 100/7 + '%'}">Пятница</div>
                        <div class="wd-name weekend" v-bind:style="{width: 100/7 + '%'}">Суббота</div>
                        <div class="wd-name weekend" v-bind:style="{width: 100/7 + '%'}">Воскресенье</div>
                    </div>
                    <div class="calendar-body">
                        <div class="calendar-item" v-for="(date, index) in dates" :key="date.timestamp" v-bind:style="{width: 100/7 + '%'}">
                            <p class="day-num">{{index + 1}}</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: 'Calendar',
    data: function() {
        return {
            dates: [],
            managers: [
                {
                    id: 1,
                    managerName: 'Сиротенко Сергей Сергеевич',
                    position: 'системный администратор',
                    accessLevel: 1,
                    employmentDate: new Date(),
                    wage: 25000
                }
            ],
            tasks: [
                {
                    id: 1,
                    status: 'active',
                    managerName: 'Такой то такой то...',
                    description: 'Описание задачи',
                    deadLine: new Date().toLocaleString() , 
                    laborCosts: '12 ч'
                },
                 {
                    id: 2,
                    status: 'active',
                    managerName: 'Такой то такой то...',
                    description: 'Описание задачи',
                    deadLine: new Date().toLocaleString() , 
                    laborCosts: '12 ч'
                },
                 {
                    id: 3,
                    status: 'active',
                    managerName: 'Такой то такой то...',
                    description: 'Описание задачи',
                    deadLine: new Date().toLocaleString() , 
                    laborCosts: '12 ч'
                },
                 {
                    id: 4,
                    status: 'active',
                    managerName: 'Такой то такой то...',
                    description: 'Описание задачи',
                    deadLine: new Date().toLocaleString() , 
                    laborCosts: '12 ч'
                },
            ]
        }
    },
    methods: {
        mountedDateList: function() {
           
        }
    },
    mounted: function() {
        let now = new Date();
        let from = new Date(now.getFullYear(),now.getMonth(),1);
        let to = new Date(now.getFullYear(),now.getMonth()+1,1);
        let cur = new Date(from);
        this.dates = [];

        while(cur < to) { 
            this.dates .push({
                timestamp: cur.getTime(),
                date: cur
            });
            cur = new Date(cur.getTime() + 86400000);
        }

    }
}
</script>

<style>
.calendar-manager_wrapper {
    margin-bottom: 40px;
}
.calendar-manager_filter {
    margin: 25px auto;
}
.selected-day_wrapper {
    background-color: #cce4ff;
    padding: 15px;
    text-align: center;
    border-radius: 4px;
    color: #242229;
}
.selected-day_week-day {
    font-size: 18px;
}

.selected-day_month-day {
    font-size: 100px;
    font-weight: 700;
    line-height: 75px;
}
.selected-day_month {
    font-size: 18px;
}
.calendar-header .wd-name:nth-child(1) {
    border-left: 1px solid #f1f1f1;
}
.calendar-header .wd-name {
    display: inline-block;
    padding: 20px 10px;
    border-top: 1px solid #f1f1f1;
    border-bottom: 1px solid #f1f1f1;
    border-right: 1px solid #f1f1f1;
}
.calendar-header .wd-name.weekend {
    background: #f1f1f1;
}
.calendar-body {
    font-size: 0px;
    border-left: 1px solid #f1f1f1;
}
.calendar-item {
    display: inline-block;
    padding: 35px 10px;
    border-bottom: 1px solid #f1f1f1;
    border-right: 1px solid #f1f1f1;
    position: relative;
}
.calendar-item > .day-num {
    font-size: 18px;
    position: absolute;
    top: 10px;
    right: 15px;
}
</style>